Bug 218785 - 'search for systems' link in task widget on Your RHN needs to be acl'ed for management+ only
'search for systems' link in task widget on Your RHN needs to be acl'ed for m...
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
wes hayutin
Depends On:
Blocks: 166615 223184
  Show dependency treegraph
Reported: 2006-12-07 10:23 EST by Máirín Duffy
Modified: 2007-04-18 13:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-12 21:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2006-12-07 10:23:23 EST
Customer email:

"I was sent to an errror page on clicking on 'Systems' on my "Your RHN" home
page. Clicking on the 'Systems' button in the banner at the top of the page
works but the 'Systems' link in the text of the page does not."


If a customer only has update entitlements, they can't see system search since
it's a management-only feature. So, we should acl that link such that only
management-entitled customers can see it.

(as an aside it'd be nice to open up system search to all customers since we
don't really enforce it well anyway. if you bought 1 single mgmt entitlement and
it expired long ago apparently you can still system search. it's pretty basic
Comment 1 Mike Orazi 2007-02-15 19:38:11 EST
Added org_entitlement(sw_mgr_enterprise) protection around the Search stuff in
Comment 2 wes hayutin 2007-02-22 10:29:02 EST
ok.. that link now works for systems w/ only update entitlements...
Comment 3 Brandon Perkins 2007-03-12 21:42:17 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.